<?php

namespace App\Http\Controllers\Auth;

use App\Models\User;
use App\Models\Brand;
use Illuminate\Http\Request;
use App\Models\CompanyProfile;
use App\Http\Controllers\Controller;

class CompanyProfileController extends Controller
{
    public function index() {

        $user_id = auth()->user()->id;
        $profile = CompanyProfile::where('user_id', $user_id)->get()->first();
        if($profile) {
            return view('profile.index', [
                'profile' => $profile
            ]);
        }

        return redirect(route('profile.completion'));
    }

    public function logo() {
        return view('auth.logo');
    }

    public function logoStore(Request $request) {
        $user_id = auth()->user()->id;

        $user = User::with(['company'])->findOrFail($user_id);

        // dd($user);

        $this->validate($request, [
            'logo' => 'required|image|mimes:jpeg,png,jpg,gif|max:2048',
            'cover_image' => 'required|image|mimes:jpeg,png,jpg,gif|max:2048'
        ]);

        $logo = $request->file('logo');
        $cover = $request->file('cover_image');

        $logo_name = $user->company->company_name.'_logo-'.date('Ymdhis').'.'.$logo->getClientOriginalExtension();
        $cover_name = $user->company->company_name.'_cover_image-'.date('Ymdhis').'.'.$cover->getClientOriginalExtension();



        Brand::create([
            'user_id' => $user_id,
            'logo' => $logo_name,
            'cover_image' => $cover_name
        ]);

        $imagePath = 'images/brands';
        $logo->move(public_path($imagePath), $logo_name);
        $cover->move(public_path($imagePath), $cover_name);

        return redirect(route('dashboard'));

    }
}
