<?php

namespace App\Http\Controllers;

use App\Models\Jobs;
use App\Models\Employee;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;

class EmployeeController extends Controller
{
    public function show($sid, $jid) {
        $response = Http::get('http://127.0.0.1:8000/api/users/'.$sid);
        $data = $response->json();

        $job = Jobs::findOrFail($jid);
        $timeRecord = Http::get('http://127.0.0.1:8000/api/time-records/'.$sid.'/'.$jid);
        $records = $timeRecord->json();
        $totalHours = 0;
        foreach($records as $record) {

            if($record['time_out']) {

                $timeIn = strtotime($record['time_in']);
                $timeOut = strtotime($record['time_out']);

                $timeDiff = $timeOut - $timeIn;
                $hoursWorked = $timeDiff / 3600;

                $totalHours += $hoursWorked;
            }
        }
        
        return view('employees.show', [
            'data' => $data,
            'job' => $job,
            'records' => $records,
            'total' => $totalHours
        ]);
    }

    public function getCandidates($job_id) {
        $response = Http::get(config('app.student_api').'/api/job_applications/'.$job_id);
        $items = $response->json();
        return $items;
    }

    public function add(Request $request) {
        $employee = Employee::create([
            'employer_id' => auth()->user()->id,
            'job_id' => $request->job,
            'student_id' => $request->item
        ]);

        return redirect(route('dashboard.employees'));
    }
}
