<?php

namespace App\Http\Controllers;

use App\Models\Jobs;
use Illuminate\Http\Request;
use App\Models\CompanyProfile;
use App\Models\JobClassification;

class JobController extends Controller
{
    public function create() {
        $user_id = auth()->user()->id;
        $profile = CompanyProfile::where('user_id', $user_id)->get()->first();
        $categories = JobClassification::all();

        if(!$profile) {
            return view('jobs.create-profile');
        }

        return view('jobs.create', [
            'categories' => $categories
        ]);
    }

    public function store(Request $request) {
        $user_id = auth()->user()->id;

        $this->validate($request, [
            'job_title' => 'required|string',
            'category' => 'required|string',
            'location' => 'required|string',
            'content' => 'required',
            'job_type' => 'required'
        ]);

        Jobs::create([
            'user_id' => $user_id,
            'job_title' => $request->job_title,
            'category' => $request->category,
            'location' => $request->location,
            'content' => $request->content,
            'job_type' => $request->job_type,
            'price' => $request->price
        ]);


        return redirect(route('dashboard.jobs'));
    } 
}
