<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\CompanyProfile;

class ProfileController extends Controller
{
    public function completion() {

        $user_id = auth()->user()->id;
        $profile = CompanyProfile::where('user_id', $user_id)->get()->first();
        if($profile) {
            return view('profile.index', [
                'profile' => $profile
            ]);
        }
        return view('auth.profile-completion');
    }

    public function completeProfile(Request $request) {
        $id = auth()->user()->id;

        $this->validate($request, [
            'company_name' => 'string|required',
            'location' => 'string|required',
            'contact_full_name' => 'string|required',
            'contact_email' => 'email|required',
            'contact_number' => 'string|required'
        ]);

        $company = CompanyProfile::create([
            'user_id' => $id,
            'company_name' => $request->company_name,
            'location' => $request->location,
            'contact_full_name' => $request->contact_full_name,
            'contact_email' => $request->contact_email,
            'contact_number' => $request->contact_number
        ]);

        return redirect(route('profile.index'));
    }
}
