@extends('layouts.app')

@section('content')

    <div class="container">
        <div class="register_box">
            <div class="initial_register_box">
                <h2>Complete your company profile</h2>
                <div class="initial_register_form">
                    <form method="POST" action="{{ route('profile.submit') }}">
                        @csrf
                        <br>
                        <h4>Company Details</h4>
                        <div class="mb-3">
                            <label for="company_name" class="form-label">Company Name</label>
                            <input name="company_name" type="text" class="form-control @error('company_name') is-invalid @enderror" value="{{ old('company_name') }}" id="company_name" required>
                            @error('company_name')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="last_name" class="form-label">Location</label>
                            <input name="location" type="text" class="form-control @error('location') is-invalid @enderror" value="{{ old('location') }}" id="location" required>
                            @error('location')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <br>
                        <h4>Contact Information</h4>
                        <div class="mb-3">
                            <div class="form-text">We'll never show this in any part of the site.</div>
                        </div>

                        <div class="mb-3">
                            <label for="contact_full_name" class="form-label">Full Name</label>
                            <input name="contact_full_name" type="contact_full_name" class="form-control @error('contact_full_name') is-invalid @enderror" value="{{ old('contact_full_name') }}" id="contact_full_name" required>
                            @error('contact_full_name')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>

                        <div class="mb-3">
                            <label for="contact_contact_email" class="form-label">Email Address</label>
                            <input name="contact_email" type="contact_email" class="form-control @error('contact_email') is-invalid @enderror" value="{{ old('contact_email') }}" id="contact_email" required>
                            @error('contact_email')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="contact_number" class="form-label">Contact Number</label>
                            <input type="contact_number" name="contact_number" id="contact_number" class="form-control @error('contact_number') is-invalid @enderror" required>
                            @error('contact_number')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <button type="submit" class="btn btn-primary">Complete Profile</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

@endsection