@extends('layouts.app')

@section('content')
    <div class="container-fluid">
        @if(Session::has('success-meeting'))
            <div class="alert alert-block alert-success text-center">
                <i class=" fa fa-check cool-green "></i>
                {{ (Session::get('success-meeting')) }}
            </div>
        @endif
        @if(Session::has('failed-meeting'))
            <div class="alert alert-block alert-danger text-center">
                <i class=" fa fa-check cool-red "></i>
                {{ (Session::get('failed-meeting')) }}
            </div>
        @endif
        <div class="title-bar">
            <h3>Schedule a Meeting</h3>
        </div>
    </div>

    <div class="container">
        <div class="register_box">
            <div class="initial_register_box">
            <h4 class="text-center">{{ $student['name'] }} - {{ $job->job_title }}</h4>
                <div class="initial_register_form">
                    <form method="POST" action="{{ route('set.meeting.store') }}">
                        @csrf
                        <input type="hidden" name="app_id" value="{{ $id }}">
                        <input type="hidden" name="job_id" value="{{ $job->id }}">
                        <input type="hidden" name="setter_id" value="{{ auth()->id() }}">
                        <input type="hidden" name="student_id" value="{{ $student['id'] }}">
                        <div class="mb-3">
                            <label for="job_title" class="form-label">On-Site / Online</label>
                            <select name="meeting_type" id="meeting_type" class="form-control @error('meeting_type') is-invalid @enderror">
                                <option value="">--</option>
                                <option value="On-Site" {{ old('meeting_type') == 'onsite' ? 'selected' : '' }}>On-Site</option>
                                <option value="Google Meet" {{ old('meeting_type') == 'meet' ? 'selected' : '' }}>Google Meet</option>
                                <option value="Zoom Meeting" {{ old('meeting_type') == 'zoom' ? 'selected' : '' }}>Zoom Meeting</option>
                            </select>
                            @error('meeting_type')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <label for="link" class="form-label">Link (If Online)</label>
                            <input type="text" name="link" id="link" class="form-control @error('link') is-invalid @enderror">
                            @error('link')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                        <div class="mb-3">
                            <div class="row">
                                <div class="col">
                                    <label for="date" class="form-label">Date</label>
                                    <input 
                                        type="date" 
                                        id="date" 
                                        name="date" 
                                        class="form-control @error('date') is-invalid @enderror"
                                        value="{{ date('Y-m-d') }}"
                                    >
                                    @error('date')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                                <div class="col">
                                    <label for="time" class="form-label">Time</label>
                                    <input type="time" id="time" name="time" class="form-control @error('time') is-invalid @enderror">
                                    @error('time')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-primary">Schedule</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

@endsection