@extends('layouts.app')

@section('content')

<div class="container">
    <div class="dashboard-container">
        <div class="jobs-table table-responsive">
            @if($candidates)
            <table class="table">

                <style>
                    table {
                        border-collapse: collapse;
                        width: 100%;
                    }

                    table, th, td {
                        border: none;
                    }

                    th, td {
                        padding: 8px;
                        text-align: left;
                    }

                    th {
                        background-color: #f2f2f2; /* Add background color for header if needed */
                    }
                    thead {
                        border-bottom: solid 5px #F7F8FB;
                    }
                </style>

                <thead>
                    <tr>
                        <th>Job</th>
                        <th>Candidate</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($candidates as $candidate)
                        <tr>
                            <td>
                                {{ $candidate['job_details']['job_title'] }}
                            </td>
                            <td>
                                <a href="{{ route('candidate.show', [$candidate['student']['id'], $candidate['job_details']['id']]) }}">
                                    {{ $candidate['student']['name'] }}
                                </a>
                            </td>
                            <td>
                                <a href="#" class="btn btn-primary">Accept</a>
                                <a href="{{ route('candidate.set.meeting', $candidate['id']) }}" class="btn btn-info">Set Meeting</a>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
            @else
            <p>You don't have any applicants at this time.</p>
            @endif
        </div>
        <br>
    </div>
</div>

@endsection