@extends('layouts.app')

@section('content')

<div class="container">
    <div class="dashboard-container">
        <div class="add-button">
            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#addEmployeeModal">Add</button>
        </div>
        <div class="jobs-table table-responsive">
            @if($candidates)
            <table class="table">

                <style>
                    table {
                        border-collapse: collapse;
                        width: 100%;
                    }

                    table, th, td {
                        border: none;
                    }

                    th, td {
                        padding: 8px;
                        text-align: left;
                    }

                    th {
                        background-color: #f2f2f2; /* Add background color for header if needed */
                    }
                    thead {
                        border-bottom: solid 5px #F7F8FB;
                    }
                </style>

                <thead>
                    <tr>
                        <th>Job</th>
                        <th>Name</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($candidates as $candidate)
                        <tr>
                            <td>
                                {{ $candidate->jobs->job_title}}
                            </td>
                            <td>
                                    {{ $candidate->student['name'] }}
                            </td>
                            <td>
                                <a href="{{ route('employee.show', [$candidate->student_id, $candidate->jobs->id]) }}" class="btn btn-primary">View</a>
                                <a href="{{ route('employee.payout', $candidate->id) }}" class="btn btn-info">Payout</a>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
            @else
            <p>You don't have any employees at this time.</p>
            @endif
        </div>
        <br>
    </div>
</div>





@endsection

<!-- Modal -->
<div class="modal fade" id="addEmployeeModal" tabindex="-1" aria-labelledby="addEmployeeModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h1 class="modal-title fs-5" id="exampleModalLabel">Add Intern</h1>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
        <form id="addItemForm" action="{{ route('employee.add') }}" method="POST">
            @csrf
            <div class="modal-body">
                <div class="form-group">
                    <label for="job">Category</label>
                    <select id="job" class="form-control" name="job">
                        <option value="">Select Job</option>
                        <!-- Populate options dynamically -->
                        @foreach($jobs as $job)
                            <option value="{{ $job->id }}">{{ $job->job_title }}</option>
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <label for="item">Select Student</label>
                    <select id="item" class="form-control" name="item"></select>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="submit" class="btn btn-primary">Add</button>
            </div>
        </form>
    </div>
  </div>
</div>