<div>
    @if($step == 1)
    <div class="register_box">
        <div class="step-container py-4">
            <div class="step-circle active">1</div>
            <div class="step-circle">2</div>
        </div>
        <div class="initial_register_box">
            <div class="initial_register_form">
                <div class="mb-3">
                    <label for="job_title" class="form-label">Job Title</label>
                    <div class="form-text">Enter a simple job title (e.g. Web Developer)</div>
                    <input wire:model="job_title" name="job_title" type="text" class="form-control @error('job_title') is-invalid @enderror" value="{{ old('job_title') }}" id="job_title" required>
                    @error('job_title')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="mb-3">
                    <label for="category" class="form-label">Category</label>
                    <select wire:model="category" name="category" id="category" class="form-control">
                        <option value="">Select Category</option>
                        @foreach($categories as $category)
                            <option value="{{ $category->name }}" {{ $this->category == $category->name ? 'selected' : '' }}>{{ $category->name }}</option>
                        @endforeach
                    </select>
                    @error('category')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="mb-3">
                    <label for="location" class="form-label">Location</label>
                    <div class="form-text">Enter a suburb,city or region (e.g. Manila City Metro Manila)</div>
                    <input wire:model="location" name="location" type="text" class="form-control @error('location') is-invalid @enderror" value="{{ old('location') }}" id="location-autocomplete" required>
                    @error('location')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="mb-3">
                    <label for="job_type" class="form-label">Job Type</label>
                    <select wire:model="job_type" name="job_type" id="job_type" class="form-control">
                    <option value="">--</option>
                        <option value="Free" {{ $this->category == 'Free' ? 'selected' : '' }}>Free</option>
                        <option value="Paid" {{ $this->category == 'Paid' ? 'selected' : '' }}>Paid</option>
                    </select>
                    @error('job_type')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="mb-3">
                    <label for="price" class="form-label">Pay</label>
                    <input wire:model="price" name="price" type="text" class="form-control" class="form-control @error('price') is-invalid @enderror" value="{{ old('location') }}">
                    @error('price')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                    @enderror
                </div>
                <div class="mb-3">
                    <label for="">Write Up</label>
                    <textarea wire:model="content" id="content" name="content" class="form-control"></textarea>
                </div>
                <button wire:click="step2" type="button" class="btn btn-primary">Next</button>
            </div>
        </div>
    </div>
    @endif
    @if($step == 2)
    <div class="register_box">
        <div class="step-container py-4">
            <div class="step-circle">1</div>
            <div class="step-circle active">2</div>
        </div>
        <div class="ad_type_container">
            <div class="ad_type {{ $selectedAd == 1 ? 'selectedAd' : '' }}" wire:model="ad_type">
                <div class="ad_type_header">BASIC</div>
                <div class="ad_type_content">
                    <div>30-day listing</div>
                    <div>Good visibility to candidates</div>
                    <div>Get candidates fast</div>
                    <div>Include your company logo</div>
                </div>
                <div class="ad_type_price">
                    <h3>P 1,000</h3>
                    <small>Incl VAT</small>
                </div>
                <div class="ad_select">
                    <div wire:click="selectAd('1')" class="btn-ad-select {{ $selectedAd == 1 ? 'btn-selected' : '' }}">SELECT</div>
                </div>
            </div>
            <div class="ad_type {{ $selectedAd == 2 ? 'selectedAd' : '' }}" wire:model="ad_type">
                <div class="ad_type_header">PREMIUM</div>
                <div class="ad_type_content">
                    <div>30-day listing</div>
                    <div>Great visibility to candidates</div>
                    <div>Get candidates faster</div>
                    <div>Add company images to promote your brand</div>
                    <div>Priority listing in search</div>
                </div>
                <div class="ad_type_price">
                    <h3>P 7,000</h3>
                    <small>Incl VAT</small>
                </div>
                <div class="ad_select">
                    <div wire:click="selectAd(2)" class="btn-ad-select {{ $selectedAd == 2 ? 'btn-selected' : '' }}">SELECT</div>
                </div>
            </div>
        </div>
        <div class="mb-3"></div>
        <button wire:click="back('1')" type="button" class="btn btn-warning">Back</button>
        <button wire:click="submit" type="button" class="btn btn-primary">Create</button>
    </div>
    @endif
</div>
