<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\JobController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\EmployeeController;
use App\Http\Controllers\CandidateController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\Auth\RegisterController;
use App\Http\Controllers\Auth\CompanyProfileController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('index');
})->name('home'); 

Auth::routes();

// Route::get('/login', [LoginController::class, 'showLoginForm'])->name('student.login');
// Route::post('/login', [LoginController::class, 'login'])->name('student.login');

// Route::get('/profile/completion', [RegisterController::class, 'completion'])->name('profile.completion');

Route::middleware(['web', 'auth'])->group(function () {
    Route::get('/profile/completion', [ProfileController::class, 'completion'])->name('profile.completion');
    Route::post('/profile/completion', [ProfileController::class, 'completeProfile'])->name('profile.submit');

    //Profile
    Route::get('/profile', [CompanyProfileController::class, 'index'])->name('profile.index');


    Route::get('/profile/logo-brand', [CompanyProfileController::class, 'logo'])->name('profile.logo');
    Route::post('/profile/logo-brand', [CompanyProfileController::class, 'logoStore'])->name('logo.submit');

    Route::get('/meeting-schedules', [DashboardController::class, 'meetings'])->name('profile.meetings');


    //Home
    Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');
    Route::get('/jobs', [DashboardController::class, 'jobs'])->name('dashboard.jobs');
    Route::get('/candidates', [DashboardController::class, 'candidates'])->name('dashboard.candidates');
    Route::get('/employees', [DashboardController::class, 'employees'])->name('dashboard.employees');
    Route::get('/recommendations', [DashboardController::class, 'recommendations'])->name('dashboard.recommendations');


    //Candidate Show
    Route::get('/candidate/show/{id}/{jid}', [CandidateController::class, 'show'])->name('candidate.show');
    Route::get('/candidate/set-meeting/{id}', [CandidateController::class, 'setMeeting'])->name('candidate.set.meeting');
    Route::post('/candidate/set-meeting', [CandidateController::class, 'storeMeeting'])->name('set.meeting.store');

    //Employee Show
    Route::get('/employee/show/{sid}/{jid}', [EmployeeController::class, 'show'])->name('employee.show');
    Route::get('/employee/job/{job_id}', [EmployeeController::class, 'getCandidates']);
    Route::post('/employee/add', [EmployeeController::class, 'add'])->name('employee.add');


    Route::get('/employee/payout', [EmployeeController::class, 'payout'])->name('employee.payout');


    Route::get('/jobs/create', [JobController::class, 'create'])->name('jobs.create');
    Route::post('/jobs/create', [JobController::class, 'store'])->name('jobs.store');
});

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
