<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'Laravel')); ?></title>

    <link rel="stylesheet" href="<?php echo e(asset('css/style.css')); ?>">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet">

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>

    <script>
        let autocomplete;
        function initAutocomplete() {
            autocomplete = new google.maps.places.Autocomplete(
                document.getElementById('location-autocomplete'),
            {
                types: ['locality', 'sublocality', 'administrative_area_level_1', 'administrative_area_level_2', 'administrative_area_level_3'],
                componentRestrictions: {'country': ['PH']},
                fields: ['place_id', 'geometry', 'name']
            });

            autocomplete.addListener('place_changed', onPlaceChanged);

            function onPlaceChanged() {
                var place = autocomplete.getPlace();

                if (!place.geometry) {
                    document.getElementById('location-autocomplete').value = ''; // Clear the input
                    return false;
                }
            }
        }
    </script>

    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBimzNN1bIZduCvpQeib2cXBEAE2tnmfZ8&libraries=places&callback=initAutocomplete" async defer></script>
    
    <script src="https://cdn.ckeditor.com/4.22.1/standard/ckeditor.js"></script>

</head>
<body class="vh-100 overflow-x-hidden">
    <div id="app">
        <!-- Navbar -->
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <div class="container">
                <!-- Logo -->
                <a class="navbar-brand" href="#">SEEK</a>
                <!-- Toggle Btn -->
                <button class="navbar-toggler shadow-none border-0" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasNavbar" aria-controls="offcanvasNavbar" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <!-- Sidebar -->

                <div class="sidebar offcanvas offcanvas-start" tabindex="-1" id="offcanvasNavbar" aria-labelledby="offcanvasNavbarLabel">
                    <!-- Sidebar Header -->
                    <div class="offcanvas-header text-white border-bottom">
                        <h5 class="offcanvas-title" id="offcanvasNavbarLabel">Seek</h5>
                        <button type="button" class="btn-close btn-close-white" data-bs-dismiss="offcanvas" aria-label="Close"></button>
                    </div>
                    <!-- Sidebar Body -->
                    <div class="offcanvas-body d-flex flex-column flex-lg-row p-4">
                        <ul class="navbar-nav justify-content-center align-items-center fs-5 flex-grow-1 pe-3 p-lg-0">
                            <?php if(auth()->guard()->guest()): ?>
                            <li class="nav-item mx-2">
                                <a class="nav-link active" aria-current="page" href="/">Home</a>
                            </li>
                            <?php else: ?>
                            <li class="nav-item mx-2">
                                <a class="nav-link active" aria-current="page" href="<?php echo e(route('dashboard')); ?>">Home</a>
                            </li>
                            <?php endif; ?>
                            <li class="nav-item mx-2">
                                <a class="nav-link" href="<?php echo e(route('dashboard.jobs')); ?>">Jobs</a>
                            </li>
                            <li class="nav-item mx-2">
                                <a class="nav-link" href="<?php echo e(route('dashboard.candidates')); ?>">Candidates</a>
                            </li>
                            <li class="nav-item mx-2">
                                <a class="nav-link" href="<?php echo e(route('dashboard.employees')); ?>">Employees</a>
                            </li>
                        </ul>
                        <div class="d-flex flex-column flex-lg-row justify-content-center align-items-center gap-3">
                            <!-- Login/Register -->
                            <?php if(auth()->guard()->guest()): ?>
                            <?php if(Route::has('login')): ?>
                                <a class="text-white text-decoration-none" href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
                            <?php endif; ?>

                            <?php if(Route::has('register')): ?>
                                <a class="text-white text-decoration-none px-3 py-1 rounded-4" style="background-color: #f94ca4;" href="<?php echo e(route('register')); ?>"><?php echo e(__('Register')); ?></a>
                            <?php endif; ?>
                            <?php else: ?>
                                <div class="nav-item dropdown">
                                    <a id="navbarDropdown" class="nav-link dropdown-toggle text-white" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre><?php echo e(Auth::user()->name); ?></a>
                                    <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                        <a class="dropdown-item" href="<?php echo e(route('profile.index')); ?>">Profile</a>
                                        <a class="dropdown-item" href="<?php echo e(route('profile.logo')); ?>">Logo & Brand</a>
                                        <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                        onclick="event.preventDefault();
                                                        document.getElementById('logout-form').submit();">
                                            <?php echo e(__('Logout')); ?>

                                        </a>

                                        <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                                            <?php echo csrf_field(); ?>
                                        </form>
                                    </div>
                                </div>
                                <a class="text-white text-decoration-none btn btn-secondary" href="<?php echo e(route('jobs.create')); ?>">Create Job ad</a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </nav>


        <main class="">
            <?php echo $__env->yieldContent('content'); ?>
        </main>
    </div>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\employer_cbzncorp_seek\resources\views/layouts/app.blade.php ENDPATH**/ ?>